%define upstream_name    HTML-StripTags
%define upstream_version 1.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Strip tags from a string with Perl like PHP
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Switch)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
HTML::StripTags provides the function strip_tags() that can strip all HTML
or XML tags from a string except the given allowed tags. This is a Perl
port of the PHP function strip_tags() based on PHP 5.3.3.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.10.0-10.mga8
+ Revision: 1494911
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.10.0-9.mga7
+ Revision: 1268500
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.10.0-8.mga6
+ Revision: 1028314
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.10.0-7.mga6
+ Revision: 949108
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.10.0-6.mga5
+ Revision: 789077
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-5.mga5
+ Revision: 741260
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-4.mga5
+ Revision: 684965
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.10.0-3.mga4
+ Revision: 512050
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-2.mga3
+ Revision: 368141
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 30 2011 jquelin <jquelin> 1.10.0-1.mga2
+ Revision: 116518
- imported package perl-HTML-StripTags


* Thu Jun 30 2011 cpan2dist 1.01-1mga
- initial mageia release, generated with cpan2dist
